<?php

namespace app\models;

use Yii;

/**
 * This is the model class for table "{{%liquidaciones}}".
 *
 * @property integer $idliquidacion
 * @property integer $idtipoliquidacion
 * @property integer $periodo
 * @property integer $mes
 * @property integer $original
 * @property string $descripcion
 * @property string $fechaliquidacion
 * @property string $fechaantig
 * @property string $remuner
 * @property string $noremuner
 * @property string $familia
 * @property string $descuento
 * @property string $neto
 * @property integer $cantempleado
 * @property integer $grabada
 * @property string $fechagrabada
 * @property integer $activa
 * @property integer $cerrada
 * @property string $usuario
 * @property string $fechapago
 * @property string $fechadeposito
 * @property string $mesdeposito
 * @property string $banco
 * @property integer $ultimofolio
 * @property integer $topeantig
 * @property integer $ordenadopor
 * @property integer $borraliq
 * @property integer $liquidasalfam
 * @property integer $liqlegajobaja
 * @property integer $liqgrupo
 * @property integer $rangolegajo
 * @property integer $opcion
 *
 * @property Concepto[] $conceptos
 * @property Liquida[] $liquidas
 * @property Tipoliquidacion $idtipoliquidacion0
 */
class EntryForm extends \yii\db\ActiveRecord
{
    /**
     * @inheritdoc
     */
    public static function tableName()
    {
        return '{{%liquidaciones}}';
    }

    /**
     * @inheritdoc
     */
    public function rules()
    {
        return [
            [['idtipoliquidacion', 'periodo', 'mes', 'original', 'cantempleado', 'grabada', 'activa', 'cerrada', 'ultimofolio', 'topeantig', 'ordenadopor', 'borraliq', 'liquidasalfam', 'liqlegajobaja', 'liqgrupo', 'rangolegajo', 'opcion'], 'integer'],
            [['periodo', 'mes', 'original'], 'required'],
            [['fechaliquidacion', 'fechaantig', 'fechagrabada', 'fechapago', 'fechadeposito'], 'safe'],
            [['remuner', 'noremuner', 'familia', 'descuento', 'neto'], 'number'],
            [['descripcion'], 'string', 'max' => 45],
            [['usuario'], 'string', 'max' => 15],
            [['mesdeposito', 'banco'], 'string', 'max' => 25]
        ];
    }

    /**
     * @inheritdoc
     */
    public function attributeLabels()
    {
        return [
            'idliquidacion' => Yii::t('app', 'Idliquidacion'),
            'idtipoliquidacion' => Yii::t('app', 'Idtipoliquidacion'),
            'periodo' => Yii::t('app', 'Periodo'),
            'mes' => Yii::t('app', 'Mes'),
            'original' => Yii::t('app', 'Original'),
            'descripcion' => Yii::t('app', 'Descripcion'),
            'fechaliquidacion' => Yii::t('app', 'Fechaliquidacion'),
            'fechaantig' => Yii::t('app', 'Fechaantig'),
            'remuner' => Yii::t('app', 'Remuner'),
            'noremuner' => Yii::t('app', 'Noremuner'),
            'familia' => Yii::t('app', 'Familia'),
            'descuento' => Yii::t('app', 'Descuento'),
            'neto' => Yii::t('app', 'Neto'),
            'cantempleado' => Yii::t('app', 'Cantempleado'),
            'grabada' => Yii::t('app', 'Grabada'),
            'fechagrabada' => Yii::t('app', 'Fechagrabada'),
            'activa' => Yii::t('app', 'Activa'),
            'cerrada' => Yii::t('app', 'Cerrada'),
            'usuario' => Yii::t('app', 'Usuario'),
            'fechapago' => Yii::t('app', 'Fechapago'),
            'fechadeposito' => Yii::t('app', 'Fechadeposito'),
            'mesdeposito' => Yii::t('app', 'Mesdeposito'),
            'banco' => Yii::t('app', 'Banco'),
            'ultimofolio' => Yii::t('app', 'Ultimofolio'),
            'topeantig' => Yii::t('app', 'Topeantig'),
            'ordenadopor' => Yii::t('app', 'Ordenadopor'),
            'borraliq' => Yii::t('app', 'Borraliq'),
            'liquidasalfam' => Yii::t('app', 'Liquidasalfam'),
            'liqlegajobaja' => Yii::t('app', 'Liqlegajobaja'),
            'liqgrupo' => Yii::t('app', 'Liqgrupo'),
           // 'rangolegajo' => Yii::t('app', 'Rangolegajo'),
            'opcion' => Yii::t('app', 'Opcion'),
        ];
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getConceptos()
    {
        return $this->hasMany(Concepto::className(), ['idliquidacion' => 'idliquidacion']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getLiquidas()
    {
        return $this->hasMany(Liquida::className(), ['idliquidacion' => 'idliquidacion']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getIdtipoliquidacion0()
    {
        return $this->hasOne(Tipoliquidacion::className(), ['idtipoliquidacion' => 'idtipoliquidacion']);
    }
}
